<CsoundSynthesizer>

<CsOptions>
  -d -o dac
</CsOptions>

<CsInstruments>
sr     = 192000
ksmps  = 100
nchnls = 2
0dbfs  = 1

          instr 1
idur      =         p3
iamp      =         p4
ifrq1     =         p5
ifrq2     =         p6
inx1a     =         p7
inx1b     =         p8
inx2a     =         p9
inx2b     =         p10
icps      =         p11
ifn1      =         p12
ifn2      =         p13
kndx1     line      inx1a, idur, inx1b
kndx2     line      inx2a, idur, inx2b
kenv      linen     iamp, 0.05, idur, 0.2
a1, a2    crossfm   ifrq1, ifrq2, kndx1, kndx2, icps, ifn1, ifn2
          outs      a1*kenv, a2*kenv
          endin
</CsInstruments>

<CsScore>
;sine wave
f 1 0 16384 10 1
;pseudo square wave
f 2 0 16384 10 1000 0 333.333 0 200 0 142.857 0 111.111 0 90.909 \
               0 76.923 0 66.667 0 58.824 0 52.632 0

i 1  0.0  5    0.5 1465.604 652.350 2.854 0.749 0.752 4.491 1 1 1
i 1  4.6  6.4  0.5 1465.604 652.350 0.749 2.854 4.491 0.752 1 2 1
i 1 11.0  7    0.5 1465.604 652.350 2.854 0.749 0.752 4.491 1 1 1
i 1 17.44 8.56 0.5 1465.604 653.350 0.749 2.854 4.491 0.752 1 1 1
e
</CsScore>
</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 800 82 823 902
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>
<MacGUI>
ioView nobackground {61423, 60395, 59367}
ioGraph {30, 20} {750, 750} lissajou 2.000000 -1.000000 
</MacGUI>

